Get Wallet
curl --request GET \
--url https://api.example.com/v1/wallets/{walletId}import requests
url = "https://api.example.com/v1/wallets/{walletId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Wallets
Get Wallet
GET /v1/wallets/:walletId — Get a specific wallet by ID
GET
/
v1
/
wallets
/
{walletId}
Get Wallet
Endpoint:
GET https://api.rebelfi.io/v1/wallets/:walletIdPath Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
walletId | number | Yes | Wallet ID |
Example Request
curl -X GET "https://api.rebelfi.io/v1/wallets/42" \
-H "x-api-key: your_api_key"
const wallet = await client.wallets.get(42);
Example Response
{
"walletId": 42,
"walletAddress": "So11...abc",
"blockchain": "solana",
"userId": "user-123",
"orgMetadata": { "plan": "premium" },
"createdAt": "2024-01-15T10:30:00.000Z"
}
Errors
| Code | Description |
|---|---|
WALLET_NOT_FOUND | Wallet with given ID doesn’t exist |
⌘I